UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.LBMMonitor Class Reference

LBM Monitor class. More...

## Static Public Member Functions
static int | errorNumber ()
| Returns last LBM Monitor error number. More...
static string | errorMessage ()
| Returns last LBM Monitor error message. More...

## Public Attributes
const int | FORMAT_CSV = 0
| Format type: Comma-separated values.
const int | TRANSPORT_LBM = 0
| Transport type: LBM.
const int | TRANSPORT_UDP = 1
| Transport type: UDP.
const int | TRANSPORT_LBMSNMP = 2
| Transport type: LBMSNMP.
const int | EINVAL = ERROR_BASE + 1
| LBM Monitor error: An invalid argument was passed.
const int | ENOMEM = ERROR_BASE + 2
| LBM Monitor error: Out of memory.
const int | EMODFAIL = ERROR_BASE + 3
| LBM Monitor error: A call to a module function failed.
const int | ELBMFAIL = ERROR_BASE + 4
| LBM Monitor error: A call to an LBM function failed.
const int | EAGAIN = ERROR_BASE + 5
| LBM Monitor error: Insufficient resources.
const int | EALREADY = ERROR_BASE + 6
| LBM Monitor error: Resource already registered.
const long | ATTR_SOURCE_NORMAL = 0
| Source/receiver statistics are from a normal transport session.
const long | ATTR_SOURCE_IM = 1
| Source/receiver statistics are from an immediate transport session.

## Detailed Description

LBM Monitor class.

## Member Function Documentation

static string com.latencybusters.lbm.LBMMonitor.errorMessage | ( |  | ) |
| static

Returns last LBM Monitor error message.

Returns
  LBM Monitor error message

Referenced by com.latencybusters.lbm.LBMMonitorSource.Dispose(), com.latencybusters.lbm.LBMMonitorReceiver.Dispose(), com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver(), com.latencybusters.lbm.LBMMonitorSource.LBMMonitorSource(), com.latencybusters.lbm.LBMMonitorSource.sample(), com.latencybusters.lbm.LBMMonitorSource.start(), and com.latencybusters.lbm.LBMMonitorSource.stop().

static int com.latencybusters.lbm.LBMMonitor.errorNumber | ( |  | ) |
| static

Returns last LBM Monitor error number.

Returns
  LBM Monitor error number

Referenced by com.latencybusters.lbm.LBMMonitorSource.Dispose(), com.latencybusters.lbm.LBMMonitorReceiver.Dispose(), com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver(), com.latencybusters.lbm.LBMMonitorSource.LBMMonitorSource(), com.latencybusters.lbm.LBMMonitorSource.sample(), com.latencybusters.lbm.LBMMonitorSource.start(), and com.latencybusters.lbm.LBMMonitorSource.stop().

The documentation for this class was generated from the following file:

- LBMMonitor.cs